eccodes: eccodes::codes_index_get_size Interface Reference

eccodes

- Main Page
- C Interface
- F90 Interface
- Python Interface

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Groups Pages
Public Member Functions
eccodes::codes_index_get_size Interface Reference

Get the number of distinct values of the key in argument contained in the index. More...

## Public Member Functions
subroutine | codes_index_get_size_int (indexid, key, size, status)
| Get the number of distinct values of the key in argument contained in the index. More...
subroutine | codes_index_get_size_long (indexid, key, size, status)
| Get the number of distinct values of the key in argument contained in the index. More...

## Detailed Description

Get the number of distinct values of the key in argument contained in the index.

The key must belong to the index.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key for which the number of values is computed
  size | number of distinct values of the key in the index
  status | CODES_SUCCESS if OK, integer value on error

## Member Function/Subroutine Documentation

subroutine codes_index_get_size_int | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | integer(kind=kindofint), intent(out) | size,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the number of distinct values of the key in argument contained in the index.

The key must belong to the index.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key for which the number of values is computed
  size | number of distinct values of the key in the index
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_index_get_size_long | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | integer(kind=kindoflong), intent(out) | size,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the number of distinct values of the key in argument contained in the index.

The key must belong to the index.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key for which the number of values is computed
  size | number of distinct values of the key in the index
  status | CODES_SUCCESS if OK, integer value on error

The documentation for this interface was generated from the following file:

- eccodes_f90.f90